export class MarkerNodeMatcher {
    /**
     *
     * @param {MarkerNode} node
     * @returns {boolean}
     */
    match(node) {
        // need to override in the subclass
        throw new Error('Not Implemented');
    }
}

/**
 * @readonly
 * @type {boolean}
 */
MarkerNodeMatcher.prototype.isMarkerNodeMatcher = true;
